glances(1)

glances(1)

<<<<<<< HEAD ======= >>>>>>> release/v2.0

NAME
glances - A cross-platform curses-based system monitoring tool

SYNOPSIS
glances <<<<<<< HEAD [-bdehmnrsvyz1] [-B bind] [-c server] [-C conffile] [-p port] [-P password] [--password] [-t refresh] [-f file] [-o output] ======= [OPTIONS] >>>>>>> release/v2.0

DESCRIPTION
Glances is a free (LGPL) cross-platform curses-based system monitoring tool which aims to present a maximum of information in a minimum of space, ideally to fit in a classical 80x24 terminal or higher to have additionnal information. It can adapt dynamically the displayed information depending on the terminal size.

Glances can also work in client/server mode. Remote monitoring could be done via terminal or web interface.

This tool is written in Python and uses the psutil library to fetch the statistical values from key elements, like CPU, load average, memory, network, disks, file systems, processes and so on.

COMMAND-LINE OPTIONS
The command-line options are the following:

-h, --help
    display the help and exit

-V, --version
    show program's version number and exit

-b, --byte
    display network rate in byte per second [default: bit per second]

-B BIND_ADDRESS, --bind BIND_ADDRESS
    bind server to the given IPv4/IPv6 address or hostname

-c CLIENT, --client CLIENT
    connect to a Glances server by IPv4/IPv6 address or hostname

-C CONF_FILE, --config CONF_FILE
    path to the configuration file

<<<<<<< HEAD
    -f FOLDER Set the HTML or CSV output folder ======= --disable-bold disable bold mode in the terminal >>>>>>> release/v2.0

--disable-diskio
    disable disk I/O module

--disable-fs
    disable file system module

--disable-network
    disable network module

--disable-network
    disable network module

--disable-sensors
    disable sensors module

--disable-process
    disable process module

--disable-log
    disable log module

--output-csv OUTPUT_CSV
    export stats to a CSV file

-p PORT, --port PORT
    define the client/server TCP port [default: 61209]

--password
    define a client/server password from the prompt or file

-s, --server
    run Glances in server mode

--snmp-community SNMP_COMMUNITY
    SNMP community

--snmp-port SNMP_PORT
    SNMP port

--snmp-version SNMP_VERSION
    SNMP version (1, 2c or 3)

--snmp-user SNMP_USER
    SNMP username (only for SNMPv3)

--snmp-auth SNMP_AUTH
    SNMP authentication key (only for SNMPv3)

-t TIME, --time TIME
    set refresh time in seconds [default: 3 sec]

-w, --webserver
    run Glances in Web server mode

-1, --percpu
    start Glances in per CPU mode

INTERACTIVE COMMANDS
You can use the following keys while in Glances:

a   Sort process list automatically

b   Switch between bit/s or Byte/s for network I/O

c   Sort processes by CPU usage

d   Show/hide disk I/O stats

f   Show/hide file system stats

h   Show/hide the help screen

i   Sort processes by I/O rate

l   Show/hide log messages

m   Sort processes by MEM usage

n   Show/hide network stats

p   Sort processes by name

q   Quit

s   Show/hide sensors stats

t   View network I/O as combination

u   View cumulative network I/O

w   Delete finished warning log messages

x   Delete finished warning and critical log messages

z   Show/hide processes stats

z   Show/hide processes list (for low CPU consumption)

1   Switch between global CPU and per-CPU stats

EXAMPLES

Refresh information every 5 seconds:
    glances -t 5

EXIT STATUS
Glances returns a zero exit status if it succeeds to print/grab information.

It returns 2 if it fails to parse its options (missing arguments, invalid value, etc).

AUTHOR
Glances is written by Nicolas Hennion aka Nicolargo (contact@nicolargo.com)